﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SymbolAdd.ascx.cs" Inherits="MindfireSolutions.Modules.MfStockChart.SymbolAdd" %>
<%@ Register TagPrefix="asp" Namespace="AjaxControlToolkit" Assembly="AjaxControlToolkit" %>
<link href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/themes/base/jquery-ui.css"
    rel="stylesheet" type="text/css" />
<script type="text/javascript" language="JavaScript">

    function Check() {
        var autocomplete = $("#<%=autocomplete.ClientID%>").val();
        if (autocomplete == "") {
            alert("Please enter a symbol");
            return false;
        }
    }

    var YAHOO = {
        Finance: {
            SymbolSuggest: {}
        }
    };

    function searchSymbol() {
        var result;
        var obj = {};
        var query = $('input#<%=autocomplete.ClientID%>').val();
        var stockArr = [];
        //       query = 'go';
        if (query.length > 0) {

            $.ajax({
                type: "GET",
                url: "http://d.yimg.com/autoc.finance.yahoo.com/autoc",
                data: { query: query },
                dataType: "jsonp",
                jsonp: "callback",
                jsonpCallback: "YAHOO.Finance.SymbolSuggest.ssCallback"
            });
            YAHOO.Finance.SymbolSuggest.ssCallback = function (data) {

                result = JSON.stringify(data);

                var jsonobj = eval("(" + result + ")");

                $.each(jsonobj.ResultSet.Result, function (i, tweet) {

                    stockArr.push({
                        label: tweet.name + " | " + tweet.symbol + " | " + tweet.exchDisp + " | " + tweet.typeDisp,
                        value: tweet.symbol
                    });


                });
                $('input#<%=autocomplete.ClientID%>').autocomplete({
                    source: stockArr,
                    minLength: 1,
                    select: function (event, ui) {
                        $('input#<%=autocomplete.ClientID%>').val(ui.label);
                    }

                });
            }
        }
    }
    $(document).ready(function () {
        // searchSymbol('g');
    });

</script>
<div align="center">
    <font size="4" color="red"><b>Your Favourite Five</b></font></div>
<br />
<br />
<div>
    <table>
        <tr>
            <td style="padding-right: 15px;">
                <asp:TextBox ID="autocomplete" runat="server" MaxLength="50" onkeyup="javascript:return searchSymbol();"
                    Style="background-color: Aqua;" />
            </td>
            <td>
                <asp:Button ID="btnAdd" Text="Add Symbol" runat="server" OnClick="btnAddClick" OnClientClick="return Check();" />
            </td>
        </tr>
    </table>
    <br />
    <br />
    <table>
        <tr>
            <td>
                <asp:GridView ID="grdSymbol" runat="server" DataKeyNames="UserPortfolioID" AutoGenerateColumns="False"
                    Width="800" OnRowCommand="grdSymbol_RowCommand" EmptyDataText="No Data">
                    <Columns>
                        <asp:BoundField ItemStyle-HorizontalAlign="left" ItemStyle-Width="50%" HeaderText="Company Name"
                            DataField="Companyname" HeaderStyle-HorizontalAlign="Left"></asp:BoundField>
                        <asp:BoundField ItemStyle-HorizontalAlign="left" ItemStyle-Width="30%" HeaderText="Symbol"
                            DataField="Symbol" HeaderStyle-HorizontalAlign="Left"></asp:BoundField>
                        <asp:TemplateField ItemStyle-Width="20%">
                            <ItemTemplate>
                                <asp:LinkButton ID="lkbDelete" CausesValidation="false" CommandName="symbolDelete"
                                    CommandArgument='<%# Eval("UserPortfolioID") %>' runat="server" OnClientClick="return confirm('Do you want to delete it?');">Delete</asp:LinkButton>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
        <tr>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lblMessage" runat="server" />
            </td>
        </tr>
    </table>
</div>
