<%@ Control Language="C#" Inherits="MindfireSolutions.Modules.MfStockChart.ViewMfStockChart"
    AutoEventWireup="true" CodeBehind="ViewMfStockChart.ascx.cs" %>
<%@ Register TagPrefix="asp" Namespace="AjaxControlToolkit" Assembly="AjaxControlToolkit" %>
<link href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/themes/base/jquery-ui.css"
    rel="stylesheet" type="text/css" />
<font color="red" size="3">
    <asp:Image ID="ticker" ImageUrl="~/DesktopModules/MfStockChart/style/ticker.gif"
        runat="server" />
    <b>MARKET [ Live ]</b></font><br />
<br />
<script type="text/javascript" language="JavaScript">
    /// <summary>
    /// This function will be called when user clicks the Get Quotes button.
    /// </summary>
    /// <returns>Always return false.</returns>
    function SendRequest() {
        var autocomplete = $("#<%=autocomplete.ClientID%>").val();
        if (autocomplete == "") {
            alert("Please enter a symbol");
          
        }
        else {
            var sPath = window.location.pathname;

            var sPage = sPath.substring(sPath.lastIndexOf('/') + 1);

            // Refresh the page.
            window.location = sPage + "?s=" + autocomplete;
        }
        return false;
    }

    /// <summary>
    /// This function will be refresh the page to view favourite after viewing some other stocks
    /// </summary>
    /// <returns>Always return false.</returns>
    function Favourite() {

            var sPath = window.location.pathname;

            var sPage = sPath.substring(sPath.lastIndexOf('/') + 1);

            // Refresh the page.
            window.location = sPage;
            return false;
    }


    /// <summary>
    /// The functyion will be called when a keyboard key is pressed in the textbox.
    /// </summary>
    /// <param name="e">Onkeypress event.</param>
    /// <returns>Return true if user presses Enter key; otherwise false.</returns>
    function CheckEnter(e) {
        if ((e.keyCode && e.keyCode == 13) || (e.which && e.which == 13))
        // Enter is pressed in the textbox.
            return SendRequest();
        return true;
    }


    /* Optional: Temporarily hide the "tabber" class so it does not "flash"
    on the page as plain HTML. After tabber runs, the class is changed
    to "tabberlive" and it will appear.
    */
    document.write('<style type="text/css">.tabber{display:none;}<\/style>');

    var tabberOptions = {

        /* Optional: instead of letting tabber run during the onload event,
        we'll start it up manually. This can be useful because the onload
        even runs after all the images have finished loading, and we can
        run tabber at the bottom of our page to start it up faster. See the
        bottom of this page for more info. Note: this variable must be set
        BEFORE you include tabber.js.
        */
        'manualStartup': true,

        /* Optional: code to run after each tabber object has initialized */

        'onLoad': function (argsObj) {
            /* Display an alert only after tab2 */
            if (argsObj.tabber.id == 'tab2') {
                alert('Finished loading tab2!');
            }
        },

        /* Optional: code to run when the user clicks a tab. If this
        function returns boolean false then the tab will not be changed
        (the click is canceled). If you do not return a value or return
        something that is not boolean false, */

        'onClick': function (argsObj) {

            var t = argsObj.tabber; /* Tabber object */
            var id = t.id; /* ID of the main tabber DIV */
            var i = argsObj.index; /* Which tab was clicked (0 is the first tab) */
            var e = argsObj.event; /* Event object */

            if (id == 'tab2') {
                return confirm('Swtich to ' + t.tabs[i].headingText + '?\nEvent type: ' + e.type);
            }
        },

        /* Optional: set an ID for each tab navigation link */
        'addLinkId': true

    };



    var YAHOO = {
        Finance: {
            SymbolSuggest: {}
        }
    };

    function searchSymbol() {
        var result;
        var obj = {};
        var store = 0;

        var query = $('input#<%=autocomplete.ClientID%>').val();
        if (query.indexOf(",") != -1) {

            query = query.substring(query.lastIndexOf(",", (query.length - 1)) + 1, (query.length));

        }
        var stockArr = [];
        if (query.length > 0) {

            $.ajax({
                type: "GET",
                url: "http://d.yimg.com/autoc.finance.yahoo.com/autoc",
                data: { query: query },
                dataType: "jsonp",
                jsonp: "callback",
                jsonpCallback: "YAHOO.Finance.SymbolSuggest.ssCallback"
            });
            YAHOO.Finance.SymbolSuggest.ssCallback = function (data) {

                result = JSON.stringify(data);
                var jsonobj = eval("(" + result + ")");

                $.each(jsonobj.ResultSet.Result, function (i, tweet) {
                    stockArr.push({
                        label: tweet.name + " | " + tweet.symbol + " | " + tweet.exchDisp + " | " + tweet.typeDisp,
                        value: tweet.symbol
                    });

                });

                $('input#<%=autocomplete.ClientID%>').bind("keydown", function (event) {
                    if (event.keyCode === $.ui.keyCode.TAB &&
						$(this).data("autocomplete").menu.active) {
                        event.preventDefault();
                    }
                });


                $('input#<%=autocomplete.ClientID%>').autocomplete({
                    source: function (request, response) {
                        response($.ui.autocomplete.filter(
						stockArr, extractLast(request.term)));
                    },

                    focus: function () {
                        return false;
                    },
                    minLength: 1,
                    select: function (event, ui) {

                        var terms = split(this.value);
                        // remove the current input
                        terms.pop();
                        // add the selected item
                        terms.push(ui.item.value);
                        // add placeholder to get the comma-and-space at the end
                        terms.push("");
                        this.value = terms.join(", ");

                        return false;
                    }

                });


            }
        }
    }

    function split(val) {
        return val.split(/,\s*/);
    }
    function extractLast(term) {
        return split(term).pop();
    }

    $(document).ready(function () {

    });

 

</script>
<div>
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr valign="top">
            <td style="font-family: Arial, Helvetica, sans-serif; font-size: 14px; color: #000;
                text-decoration: none;">
                <div id="search" runat="server">
                    <asp:TextBox ID="autocomplete" runat="server"  MaxLength="50" onkeyup="javascript:return searchSymbol();"
                        Style="background-color: Aqua;" />
                         <asp:Button runat="server"  Text ="Get Quotes"  OnClientClick="return SendRequest();" style="font-weight: bold;
                        color: Blue;"/>
                        <asp:Button runat="server"  Text ="View Favourite"  OnClientClick="return Favourite();" style="font-weight: bold;
                        color: Blue;"/>
                    <br />
                    <span style="font-family: Arial, Helvetica, sans-serif; font-size: 11px; color: #666;">
                        e.g. "yhoo" Or "yhoo,goog"
                        <br />
                        Or enter company name</span><br />
                    <br />
                </div>
                <div id="divFAvrt" runat="server">
                    <asp:HyperLink ID="lnkAdd" ForeColor="Red" Font-Bold="true" runat="server" Text="Manage Your Favourite" /><asp:Image
                        ID="Image1" ImageUrl="~/DesktopModules/MfStockChart/style/fiv.png" runat="server" /><br />
                </div>
                <!--Ajax update panel-->
                <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                    <ContentTemplate>
                        <%if (m_symbol != "")
                          {%>
                        <div id="divService1" runat="server">
                            <!-- Main DIV: this DIV contains text and DIVs 
                                       that displays stock quotes and chart. -->
                        </div>
                        <%}%>
                        <!--Ajax Timer control which will refresh grid view at specified interval (2 seconds)-->
                        <asp:Timer ID="Timer1" runat="server" Interval="2000" OnTick="Timer1_Tick" Enabled="true">
                        </asp:Timer>
                    </ContentTemplate>
                </asp:UpdatePanel>
                <br />
                <%--<font color="red" size="3"><b>GRAPH</b></font><br />--%>
                <%if (m_symbol != "")
                  {%>
                <div id="divService" runat="server">
                    <!-- Main DIV: this DIV contains text and DIVs 
                                       that displays stock quotes and chart. -->
                </div>
                <%}%>
            </td>
        </tr>
    </table>
</div>
<script type="text/javascript">

    /* Since we specified manualStartup=true, tabber will not run after
    the onload event. Instead let's run it now, to prevent any delay
    while images load.
    */

    tabberAutomatic(tabberOptions);

</script>
