﻿<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<TABLE id="rounded-corner">
				<thead>
					<TR class ="mfstock_header">
						<th scope="col"  class= "rounded-q1" align="left" >Company</th>
						<th scope="col" class="rounded-q2" align="left">Symbol</th>
						<th scope="col" class="rounded-q2" align="left">Date</th>
						<th scope="col" class="rounded-q2" align="left">Time</th>
						<th scope="col" class="rounded-q2" align="left">Trade</th>
						<th scope="col" class="rounded-q2" align="left">Change</th>
						<th scope="col" class="rounded-q2" align="left">Bid</th>
						<th scope="col" class="rounded-q2" align="left">Ask</th>
						<th scope="col" class="rounded-q2" align="left">Volume</th>
						<th scope="col" class="rounded-q2" align="left">High</th>
						<th scope="col" class="rounded-q2" align="left">Low</th>
					</TR>
				</thead>


				<xsl:for-each select="StockQuotes/Stock">
					<tbody>
						<TR>
							<TD>
								<xsl:value-of select="Company" />
							</TD>
							<TD>
								<xsl:value-of select="Symbol" />
							</TD>
							<TD>
								<xsl:value-of select="Date" />
							</TD>
							<TD>
								<xsl:value-of select="Time" />
							</TD>
							<TD>
								<xsl:value-of select="Last" />
							</TD>
							<TD>
								<xsl:value-of select="Change" />
							</TD>
							<TD>
								<xsl:value-of select="Bid" />
							</TD>
							<TD>
								<xsl:value-of select="Ask" />
							</TD>
							<TD>
								<xsl:value-of select="Volume" />
							</TD>
							<TD>
								<xsl:value-of select="High" />
							</TD>
							<TD>
								<xsl:value-of select="Low" />
							</TD>
						</TR>
					</tbody>
				</xsl:for-each>

				<!--<tfoot>
					<tr>
						<td colspan="10" class="rounded-foot-left">
							<em>Quotes are delayed by 20 min</em>
						</td>
						<td class="rounded-foot-right"> </td>
					</tr>
				</tfoot>-->
			</TABLE>
		</html>
	</xsl:template>
</xsl:stylesheet>